import React from 'react';
import Link from 'next/link';
import { FaDownload } from 'react-icons/fa';

interface DownloadButtonProps {
  id: string;
  type: 'movie' | 'tv';
  releaseYear: number | string;  // Accept number or "unknown"
}

const DownloadButton: React.FC<DownloadButtonProps> = ({ id, type, releaseYear }) => {
  return (
    <Link href={`/processing?id=${id}&type=${type}&year=${releaseYear !== "unknown" ? releaseYear : "unknown"}`}>
      <button className="bg-gradient-to-r from-red-600 to-red-800 text-white py-4 rounded-lg px-12 flex items-center justify-center space-x-2 text-lg shadow-lg shadow-red-500/50 hover:scale-110 transition-transform duration-300">
        <FaDownload className="h-6 w-6" /> {/* Download icon */}
        <span>Download</span>
      </button>
    </Link>
  );
};

export default DownloadButton;
